Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class I18n

    java.lang.Object
      org.apache.xml.security.utils.I18n

    public class I18n

extends java.lang.Object

The Internationalization (I18N) pack.

Author:
  Christian Geuer-Pollmann

Field Summary
`static java.lang.String` | `NOT_INITIALIZED_MSG` Field NOT_INITIALIZED_MSG

Method Summary
`static java.lang.String` | `getExceptionMessage(java.lang.String msgID)` Method getExceptionMessage
`static java.lang.String` | `getExceptionMessage(java.lang.String msgID, java.lang.Exception originalException)` Method getExceptionMessage
`static java.lang.String` | `getExceptionMessage(java.lang.String msgID, java.lang.Object[] exArgs)` Method getExceptionMessage
`static void` | `init(java.lang.String languageCode, java.lang.String countryCode)` Method init
`static java.lang.String` | `translate(java.lang.String message)` Method translate translates a message ID into an internationalized String, see also `XMLSecurityException.getExceptionMessage()`
`static java.lang.String` | `translate(java.lang.String message, java.lang.Object[] args)` Method translate translates a message ID into an internationalized String, see alse `XMLSecurityException.getExceptionMEssage()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOT_INITIALIZED_MSG

    public static final java.lang.String NOT_INITIALIZED_MSG

  Field NOT_INITIALIZED_MSG

  See Also:
    Constant Field Values

Method Detail

### translate

    public static java.lang.String translate(java.lang.String message,
                                             java.lang.Object[] args)

  Method translate translates a message ID into an internationalized String, see alse `XMLSecurityException.getExceptionMEssage()`. The strings are stored in the `ResourceBundle`, which is identified in `exceptionMessagesResourceBundleBase`

  Parameters:
    `message` -
    `args` - is an `Object[]` array of strings which are inserted into the String which is retrieved from the `ResouceBundle`
  Returns:
    message translated

### translate

    public static java.lang.String translate(java.lang.String message)

  Method translate translates a message ID into an internationalized String, see also `XMLSecurityException.getExceptionMessage()`

  Parameters:
    `message` -
  Returns:
    message translated

### getExceptionMessage

    public static java.lang.String getExceptionMessage(java.lang.String msgID)

  Method getExceptionMessage

  Parameters:
    `msgID` -
  Returns:
    message translated

### getExceptionMessage

    public static java.lang.String getExceptionMessage(java.lang.String msgID,
                                                       java.lang.Exception originalException)

  Method getExceptionMessage

  Parameters:
    `msgID` -
    `originalException` -
  Returns:
    message translated

### getExceptionMessage

    public static java.lang.String getExceptionMessage(java.lang.String msgID,
                                                       java.lang.Object[] exArgs)

  Method getExceptionMessage

  Parameters:
    `msgID` -
    `exArgs` -
  Returns:
    message translated

### init

    public static void init(java.lang.String languageCode,
                            java.lang.String countryCode)

  Method init

  Parameters:
    `languageCode` -
    `countryCode` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD